#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	Parse
%define		pnam	Yapp
Summary:	Parse::Yapp Perl module - Yet Another Perl Parser compiler
Summary(pl.UTF-8):	Moduł Perla Parse::Yapp - jeszcze jeden kompilator parserów perlowych
Name:		perl-Parse-Yapp
Version:	1.21
Release:	1%{?tld}
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Parse/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	69584d5b0f0304bb2a23cffcd982c5de
Patch0:		%{name}-man.patch
URL:		http://search.cpan.org/dist/Parse-Yapp/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parse::Yapp (Yet Another Perl Parser compiler) compiles yacc-like LALR
grammars to generate Perl OO parser modules.

%description -l pl.UTF-8
Parse::Yapp (Yet Another Perl Parser compiler - jeszcze jeden
kompilator perlowych analizatorów składniowych) kompiluje gramatyki
LALR w stylu narzędzia yacc, aby wygenerować analizatory w postaci
obiektowo zorientowanych modułów Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/yapp
%{perl_vendorlib}/Parse/Yapp.pm
%{perl_vendorlib}/Parse/Yapp
%{_mandir}/man1/yapp.1p*
%{_mandir}/man3/Parse::Yapp.3*
%changelog
* Mon Jan 08 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Parse-Yapp.git;a=log;h=master

* Sat May 16 2020 Adam Osuchowski <adwol@pld-linux.org> a8a70bd
- up to 1.21

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 160e314
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 11c11e3
- added URL, real summaries/descriptions
- removed README from doc (just formatted copy of man page)

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> daff201
- release 34 (by relup.sh)

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> 1d4ef0c
- release 33

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> 6f69026
- release 32

* Tue Mar 04 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> c7aedf2
- rel.7

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 28084da
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2cdf908
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> cacb62d
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 8cb87ca
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 510a710
- rel. 6

* Thu May 06 2004 ankry <ankry@pld-linux.org> 489df6f
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 8a4e2a4
- tests added, license fixes, cosmetics

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 134e43d
- s/no/nb/ in Summary langs

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 00a264b
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> c2fe766
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 4181f29
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> cdb9023
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> eed87f3
- BR: perl-devel; do not BR: perl

